/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2016 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package dk.nsi.dds.projects.sxa.common;

import java.util.Arrays;
import java.util.List;

import dk.nsi.documentsharing.core.metadata.model.CodedValue;
import dk.nsi.documentsharing.core.metadata.model.CodedValueImpl;

public class TestDataHelper {
  
  public CodedValue practiceSettingCodeForMicrobiology = new CodedValueImpl("408454008", "2.16.840.1.113883.6.96", "klinisk mikrobiologi");
  public CodedValue practiceSettingCodeForBiochemistry = new CodedValueImpl("394596001", "2.16.840.1.113883.6.96", "klinisk biokemi");
  public CodedValue practiceSettingCodeForPathology = new CodedValueImpl("394915009", "2.16.840.1.113883.6.96", "patologisk anatomi og cytologi");
  public CodedValue practiceSettingCodeNonSxa = new CodedValueImpl("010101010", "2.16.840.1.113883.6.96", "Test");

  public MappedCodedValue mappedPracticeSettingCodeForMicrobiology = new MappedCodedValue("408454008", "2.16.840.1.113883.6.96", "klinisk mikrobiologi", "Mikrobiologi");
  public MappedCodedValue mappedPracticeSettingCodeForBiochemistry = new MappedCodedValue("394596001", "2.16.840.1.113883.6.96", "klinisk biokemi", "KliniskBiokemi");
  public MappedCodedValue mappedPracticeSettingCodeForPathology = new MappedCodedValue("394915009", "2.16.840.1.113883.6.96", "patologisk anatomi og cytologi", "Patologi");
  public MappedCodedValue mappedPracticeSettingCodeNonSxa = new MappedCodedValue("010101010", "2.16.840.1.113883.6.96", "Test", "Test");
  public MappedCodedValue mappedInvalidPracticeSettingCodeForPathology = new MappedCodedValue("884915009", "2.16.840.1.113883.6.96", "not the real patologisk anatomi og cytologi", "Patologi");

  public List<MappedCodedValue> getMappedPracticeSettingCodes() {
    return Arrays.asList(mappedPracticeSettingCodeForMicrobiology, mappedPracticeSettingCodeForBiochemistry, mappedPracticeSettingCodeForPathology);
  }
  
  public List<CodedValue> getPracticeSettingCodes() {
    return Arrays.asList(practiceSettingCodeForMicrobiology, practiceSettingCodeForBiochemistry, practiceSettingCodeForPathology);
  }
  
}
